# inspired from fedora spec file
# Copyright (c) 2015-2016 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/

%define github_name     zend-loader
%define composer_name   zend-loader
%define composer_vendor zendframework
%define library         Loader

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:           php-%{composer_vendor}-%{composer_name}
Version:        2.5.1
Release:        %mkrel 1
Summary:        Zend Framework %{library} component

Group:          Development/PHP
License:        BSD
URL:            https://framework.zend.com/
Source0:        https://github.com/zendframework/zend-loader/archive/%{github_name}-release-%{version}.tar.gz
Source1:        %{name}-autoload.php

BuildArch:      noarch

# From composer, "require": {
#        "php": ">=5.3.23"
Requires:       php >= 5.3.23
# From phpcompatinfo report for version 2.5.1
Requires:       php-pcre

Obsoletes:      php-ZendFramework2-%{library} < 2.5
Provides:       php-ZendFramework2-%{library} = %{version}
Provides:       php-composer(%{composer_vendor}/%{composer_name}) = %{version}


%description
Zend\Loader provides different strategies for autoloading PHP classes.

You can include %{php_libdir}/Zend/autoload.php from
your application to use the Zend Framework.

Documentation: https://zendframework.github.io/zend-loader


%prep
%setup -q -n %{github_name}-release-%{version}

%build

%install
mkdir -p %{buildroot}%{php_libdir}/Zend
cp -pr src %{buildroot}%{php_libdir}/Zend/%{library}

install -pm 644 %{SOURCE1} %{buildroot}%{php_libdir}/Zend/autoload.php

%files
%doc *.md
%doc composer.json
%dir %{php_libdir}/Zend
%{php_libdir}/Zend/autoload.php
%{php_libdir}/Zend/%{library}


%changelog
* Wed Apr 19 2017 guillomovitch <guillomovitch> 2.5.1-1.mga6
+ Revision: 1096863
- imported package php-zendframework-zend-loader

